异环武器列表

GET 异环 异环NTE游戏攻略

查询异环武器列表,支持按类型筛选。

GET https://api.tinyaii.cn/v1/nte/weapons

请求参数

参数名类型必填说明示例
weapon_typestring可选类型筛选:固体/气体/等离子/合成(也支持英文 solid/gas/plasma/synthesis)—

返回字段

字段类型说明
data.countint武器数量
data.weaponsarray武器列表
data.weapons[].idstring武器ID
data.weapons[].namestring中文名
data.weapons[].nameEnstring英文名
data.weapons[].tagsarray标签(类型)
data.weapons[].urlstring详情页路径

返回示例

{
  "code": 200,
  "data": {
    "count": 10,
    "weapons": [
      {
        "id": "blow-up-the-crowd",
        "name": "引爆全场",
        "nameEn": "Blow up the Crowd",
        "tags": [
          "solid"
        ],
        "type": "weapon",
        "url": "/zh/weapons/blow-up-the-crowd"
      },
      {
        "id": "day-off",
        "name": "休息日",
        "nameEn": "Day Off",
        "tags": [
          "solid"
        ],
        "type": "weapon",
        "url": "/zh/weapons/day-off"
      },
      {
        "id": "hethereraus-keeper",
        "name": "海特洛的安宁",
        "nameEn": "Hethereau's Keeper",
        "tags": [
          "solid"
        ],
        "type": "weapon",
        "url": "/zh/weapons/hethereraus-keeper"
      }
    ]
  },
  "message": "success"
}

调用示例

curl "https://api.tinyaii.cn/v1/nte/weapons?weapon_type=<weapon_type>" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.tinyaii.cn/v1/nte/weapons?weapon_type=<weapon_type>", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());
import requests

resp = requests.get(
    "https://api.tinyaii.cn/v1/nte/weapons",
    params={"weapon_type": "<weapon_type>"},
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    timeout=10,
)
print(resp.json())

把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。